%define upstream_name    Sphinx-Config
%define upstream_version 0.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Sphinx search engine configuration file read/modify/write
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/J/JJ/JJSCHUTZ/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(FindBin)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod::Coverage)
BuildArch:  noarch

%description
Sphinx search engine configuration file read/modify/write.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.yml README
%{perl_vendorlib}/Sphinx/Config.pm
%attr(0644,root,root) %{_mandir}/man3/Sphinx::Config.3pm*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.100.0-6.mga9
+ Revision: 1805729
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.100.0-5.mga8
+ Revision: 1497194
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.100.0-4.mga7
+ Revision: 1271208
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.100.0-3.mga6
+ Revision: 1033290
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.100.0-2.mga6
+ Revision: 967452
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 0.100.0-1.mga6
+ Revision: 849031
- update to 0.10

* Sun Oct 19 2014 umeabot <umeabot> 0.90.0-6.mga5
+ Revision: 790706
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.90.0-5.mga5
+ Revision: 747384
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.90.0-4.mga5
+ Revision: 686214
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.90.0-3.mga4
+ Revision: 514675
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-2.mga3
+ Revision: 372665
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 24 2011 jquelin <jquelin> 0.90.0-1.mga1
+ Revision: 76661
- update to 0.09

* Thu Jan 13 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 14583
- imported package perl-Sphinx-Config


* Sat Dec 18 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.80.0-1mdv2011.0
+ Revision: 622889
- update to new version 0.08

* Thu Aug 06 2009 Jérôme Quelin <jquelin@mandriva.org> 0.50.0-1mdv2010.0
+ Revision: 410706
- adding missing buildrequires:
- update to 0.05

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.10.0-1mdv2010.0
+ Revision: 404393
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.01-4mdv2009.0
+ Revision: 258357
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.01-3mdv2009.0
+ Revision: 246419
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Nov 01 2007 Oden Eriksson <oeriksson@mandriva.com> 0.01-1mdv2008.1
+ Revision: 104412
- import perl-Sphinx-Config


* Thu Nov 01 2007 Oden Eriksson <oeriksson@mandriva.com> 0.01-1mdv2008.1
- initial Mandriva package 
